## pox 0.3.3

=== debian/changelog ===
pox (0.3.3-1) unstable; urgency=medium

  * Initial upload (Closes: #1042441)

 -- Julian Gilbey <jdg@debian.org>  Tue, 08 Aug 2023 16:13:44 +0100

=== debian/watch ===
version=4
opts="filenamemangle=s%(?:.*?)?pox-@ANY_VERSION@(@ARCHIVE_EXT@)%@PACKAGE@-$1$2%" \
  https://github.com/uqfoundation/pox/tags \
  (?:.*?/)?pox-@ANY_VERSION@@ARCHIVE_EXT@

## pox 0.3.4

=== docs/Makefile ===
# Minimal makefile for Sphinx documentation
#

# You can set these variables from the command line.
SPHINXOPTS    =
SPHINXBUILD   = sphinx-build
SPHINXPROJ    = pox
SOURCEDIR     = source
BUILDDIR      = build

# Internal variables
ALLSPHINXOPTS = $(SPHINXOPTS) $(SOURCEDIR)

# Put it first so that "make" without argument is like "make help".
help:
	@echo "Please use \`make html' to generate standalone HTML files"

.PHONY: help clean html Makefile

clean:
	-rm -rf $(BUILDDIR)

html:
	$(SPHINXBUILD) -b html $(ALLSPHINXOPTS) $(BUILDDIR)
	-rm -f $(BUILDDIR)/../../scripts/_*py
	-rm -f $(BUILDDIR)/../../scripts/_*pyc
	-rm -rf $(BUILDDIR)/../../scripts/__pycache__

=== docs/requirements.txt ===
# Packages required to build docs
# dependencies pinned as:
# https://github.com/readthedocs/readthedocs.org/blob/4dd655eaa5a36aa2cb9eed3e98961419536f99e8/requirements/docs.txt

alabaster==0.7.13
babel==2.12.1
certifi==2023.7.22
charset-normalizer==3.2.0
click==8.1.6
colorama==0.4.6
docutils==0.18.1
idna==3.4
imagesize==1.4.1
jinja2==3.1.3
livereload==2.6.3
markdown-it-py==3.0.0
markupsafe==2.1.3
mdit-py-plugins==0.4.0
mdurl==0.1.2
myst-parser==2.0.0
packaging==23.1
pygments==2.16.1
pyyaml==6.0.1
readthedocs-sphinx-search==0.3.2
requests==2.31.0
six==1.16.0
snowballstemmer==2.2.0
sphinx==6.2.1
sphinx-autobuild==2021.3.14
sphinx-copybutton==0.5.2
sphinx-design==0.5.0
sphinx-hoverxref==1.3.0
sphinx-intl==2.1.0
sphinx-multiproject==1.0.0rc1
sphinx-notfound-page==0.8.3
sphinx-prompt==1.6.0
sphinx-rtd-theme==1.2.2
sphinx-tabs==3.4.1
tornado==6.3.3
urllib3==2.0.7

=== debian/changelog ===
pox (0.3.4-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
  * debian/watch: Fix monitoring script.

 -- Boyuan Yang <byang@debian.org>  Tue, 30 Jan 2024 17:28:41 -0500

## pox 0.3.5

=== debian/changelog ===
pox (0.3.5-2) unstable; urgency=medium

  * Team upload.
  * Port to Sphinx 8.0 (closes: #1090087).

 -- Colin Watson <cjwatson@debian.org>  Thu, 19 Dec 2024 01:20:14 +0000

pox (0.3.5-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.

 -- Boyuan Yang <byang@debian.org>  Fri, 18 Oct 2024 15:32:25 -0400

## pox 0.3.6

=== debian/changelog ===
pox (0.3.6-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.

 -- Colin Watson <cjwatson@debian.org>  Tue, 22 Apr 2025 12:54:33 +0100

=== debian/control ===
Source: pox
Section: python
Priority: optional
Maintainer: Debian Python Team <team+python@tracker.debian.org>
Uploaders: Julian Gilbey <jdg@debian.org>
Build-Depends: debhelper-compat (= 13),
               dh-sequence-python3,
               pybuild-plugin-pyproject,
               python3-all,
               python3-setuptools,
               python3-sphinx <!nodoc>,
               python3-sphinx-notfound-page <!nodoc>,
               python3-sphinx-rtd-theme <!nodoc>
Standards-Version: 4.6.2
Homepage: https://github.com/uqfoundation/pox
Vcs-Git: https://salsa.debian.org/python-team/packages/pox.git
Vcs-Browser: https://salsa.debian.org/python-team/packages/pox
Rules-Requires-Root: no
Description: Utilities for filesystem exploration and automated builds
 This package is particular useful when exploring a filesystem on a
 remote host, where queries such as "what is the root of the
 filesystem?", "what is the user's name?", and "what login shell is
 preferred?" become essential in allowing a remote user to function as
 if they were logged in locally.
 .
 pox is part of pathos, a Python framework for heterogeneous computing.

Package: python3-pox
Architecture: all
Depends: ${misc:Depends},
         ${python3:Depends},
         ${shlibs:Depends}
Description: ${source:Synopsis}
 ${source:Extended-Description}

Package: python-pox-doc
Architecture: all
Section: doc
Depends: ${misc:Depends},
         ${sphinxdoc:Depends}
Recommends: python3-pox
Description: ${source:Synopsis} (documentation)
 ${source:Extended-Description}
 .
 This package contains the pox documentation in HTML format.
Build-Profiles: <!nodoc>

=== debian/rules ===
#!/usr/bin/make -f

export PYBUILD_NAME=pox

export PYBUILD_TEST_CUSTOM=1
export PYBUILD_TEST_ARGS={interpreter} -m pox.tests

%:
	dh $@ --with sphinxdoc --buildsystem=pybuild

# We cannot run any tests at build time as the environment
# may not support them.
override_dh_auto_test:

ifeq (,$(findstring nodoc,$(DEB_BUILD_OPTIONS)))
execute_after_dh_auto_build:
	PYTHONPATH=$(CURDIR) $(MAKE) -C docs SPHINXBUILD=sphinx-build html

execute_after_dh_auto_clean:
	$(MAKE) -C docs SPHINXBUILD=sphinx-build clean

override_dh_installdocs:
	dh_installdocs -ppython-pox-doc --doc-main-package=python3-pox
	dh_installdocs --remaining-packages
	mv debian/python-pox-doc/usr/share/doc/python3-pox/build debian/python-pox-doc/usr/share/doc/python3-pox/html
endif

=== debian/tests/control ===
Tests: pytest
Depends: python3-all,
         python3-pox

=== debian/watch ===
version=4
opts="filenamemangle=s%.*/@ANY_VERSION@%@PACKAGE@-$1.tar.gz%,searchmode=plain" \
 https://api.github.com/repos/uqfoundation/pox/tags?per_page=100 \
 https://api.github.com/repos/uqfoundation/pox/tarball/refs/tags/@ANY_VERSION@
